Bug 1926776 - "Template support" modal appears when select the RHEL6 common template
Summary: "Template support" modal appears when select the RHEL6 common template
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Aviv Turgeman
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-09 12:43 UTC by Guohua Ouyang
Modified: 2021-07-27 22:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When trying to create a VM from RHEL 6 template, the support modal pop up with a message that suggest to modify the RHEL 6 template to get it supported. Since the RHEL 6 template is unsupported and non-editable, this is not possible and causes confusion. Changing that suggestion to a clear message, to avoid confusion in future
Clone Of:
Environment:
Last Closed: 2021-07-27 22:42:29 UTC
Target Upstream Version:


Attachments (Terms of Use)
"Template support" modal for RHEL6 (217.09 KB, image/png)
2021-02-09 12:43 UTC, Guohua Ouyang
no flags Details
RHEL6 template selected no modal appearing (201.22 KB, image/png)
2021-04-13 15:37 UTC, Aviv Turgeman
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8739 0 None open Bug 1926776: "Template support" modal appears when select the RHEL6 common template 2021-04-22 08:40:06 UTC
Github openshift console pull 8905 0 None open Bug 1926776: "Template support" modal appears when select the RHEL6 common template 2021-05-12 13:46:32 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:43:31 UTC

Description Guohua Ouyang 2021-02-09 12:43:57 UTC
Created attachment 1755929 [details]
"Template support" modal  for RHEL6

Description of problem:
"Template support" modal appears when select the RHEL6 common template.
RHEL6 is not supported by CNV officially (https://access.redhat.com/articles/973163), so there are no annotations like below on it. But the pop-up in the modal tell user to make changes to YAML to get it supported, and it's not possible  to make it work as the template is not editable. The message is causing confustion.

annotations:
- template.kubevirt.io/provider-support-level: Full
- template.kubevirt.io/provider: Red Hat

Version-Release number of selected component (if applicable):
OCP 4.7

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Aviv Turgeman 2021-04-13 15:37:10 UTC
Created attachment 1771651 [details]
RHEL6 template selected no modal appearing

Hi,

I was unable to reproduce following these steps:
1. click on 'Virtualization' -> 'Create' -> 'Virtual Machine' With wizard
2. selecting RHEL6 common template, "Template Support" modal has not appeared

additional steps:
I also tried to select any other template and "Template Support" modal has not appeared for me.

I'm unsure that I followed correct steps, can you please provide step of reproduction?

Comment 2 Yaacov Zamir 2021-04-13 15:59:43 UTC
> I'm unsure that I followed correct steps, can you please provide step of reproduction?

you need to run the "downstream" Branding:

export BRIDGE_BRANDING=openshift

and then start the ./bin/bridge applicatoin

Comment 4 Guohua Ouyang 2021-04-28 04:22:35 UTC
The bug is not fixed on 4.8.0-fc.1 yet, wait for next build.

Comment 5 Guohua Ouyang 2021-05-07 01:35:29 UTC
Now the message is 
"This template is provided by Red Hat, But is not supported"

Suggest change it a bit:
"This template is provided by Red Hat, but is not supported."

Comment 9 errata-xmlrpc 2021-07-27 22:42:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.